Lucene search

K
cve[email protected]CVE-2012-2370
HistoryAug 13, 2012 - 8:55 p.m.

CVE-2012-2370

2012-08-1320:55:03
CWE-189
web.nvd.nist.gov
36
cve-2012-2370
gdk-pixbuf
integer overflow
denial of service
nvd

9 High

AI Score

Confidence

High

5 Medium

CVSS2

Access Vector

Access Complexity

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:N/I:N/A:P

0.07 Low

EPSS

Percentile

94.0%

Multiple integer overflows in the read_bitmap_file_data function in io-xbm.c in gdk-pixbuf before 2.26.1 allow remote attackers to cause a denial of service (application crash) via a negative (1) height or (2) width in an XBM file, which triggers a heap-based buffer overflow.

Affected configurations

NVD
Node
gnomegdk-pixbufRange2.26.0
OR
gnomegdk-pixbufMatch2.23.3
OR
gnomegdk-pixbufMatch2.23.4
OR
gnomegdk-pixbufMatch2.23.5
OR
gnomegdk-pixbufMatch2.24.0
OR
gnomegdk-pixbufMatch2.24.1
OR
gnomegdk-pixbufMatch2.25.0
OR
gnomegdk-pixbufMatch2.25.2

9 High

AI Score

Confidence

High

5 Medium

CVSS2

Access Vector

Access Complexity

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:N/I:N/A:P

0.07 Low

EPSS

Percentile

94.0%